/*!
* @file GameMessage.cpp
* @brief ゲーム中のメッセージを定義する
* @date 2013/12/11
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "GameMessage.h"

namespace Deeangband
{

	GameMessage::GameMessage(std::string message, GAMEMESSAGE_TYPE type)
	{
		this->message = message;
		this->type = type;
	}

	GameMessage::~GameMessage(void)
	{
	}

	std::string *GameMessage::GetMessage(void)
	{
		return &this->message;
	}

	GAMEMESSAGE_TYPE GameMessage::GetType(void)
	{
		return this->type;
	}


}

